## omdb-postgresql 2023-09

=== Makefile ===
# use oldest pg_dump available (>= 10) so the dump format is most compatible
PG_DUMP = $(firstword $(shell ls -v /usr/lib/postgresql/[123]*/bin/pg_dump /usr/pgsql-[123]*/bin/pg_dump 2> /dev/null))
PGVERSION0 = $(patsubst /usr/lib/postgresql/%/bin/pg_dump,%,$(PG_DUMP))
PGVERSION = $(patsubst /usr/pgsql-%/bin/pg_dump,%,$(PGVERSION0))
PGUSER = postgres

dump: omdb.dump

omdb.dump: www.omdb.org/data/all_movies.csv
	pg_virtualenv -i '--auth=trust --username=$(PGUSER)' -v $(PGVERSION) \
		sh -c "export PGUSER=$(PGUSER) && \
			./import && \
			$(PG_DUMP) -Fc -f $@ omdb"

www.omdb.org/data/all_movies.csv.bz2:
	./download

clean:
	rm -f omdb.dump www.omdb.org/data/*.bz2

## omdb-postgresql 2023-09-27

=== debian/changelog ===
omdb-postgresql (2023-09-27-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 14 Feb 2025 14:47:53 +0000

omdb-postgresql (2023-09-27-2) unstable; urgency=medium

  * Fix pg_restore test to work with all server versions.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2025 14:47:53 +0000

omdb-postgresql (2023-09-27-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Sep 2023 13:33:41 +0200

=== debian/control ===
Source: omdb-postgresql
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 postgresql,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.omdb.org/
Vcs-Browser: https://github.com/df7cb/omdb-postgresql
Vcs-Git: https://github.com/df7cb/omdb-postgresql.git

Package: omdb-postgresql
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 postgresql,
Description: open media database for PostgreSQL
 omdb (open media database) is a free database for film media. This package
 packs omdb into a PostgreSQL database. The PostgreSQL schema is intentionally
 not optimized (no indexes besides primary keys) in order to serve as a
 playground for database optimization.
 .
 To import the data, do:
  createdb omdb
  pg_restore -d omdb /usr/share/omdb-postgresql/omdb.dump
